# CORAL_LOG_LEVEL=ERROR

log4j.rootLogger=ERROR,R,X
 
 //Here we define the appender

 log4j.appender.R=org.apache.log4j.RollingFileAppender
 log4j.appender.X=org.apache.log4j.RollingFileAppender
 log4j.appender.TTCC=org.apache.log4j.RollingFileAppender
 log4j.appender.HTML=org.apache.log4j.FileAppender
 
 //Here we define log file location
 log4j.appender.R.File=/var/log/coralswitch/clidebug.log
 log4j.appender.R.MaxFileSize=5kb
 log4j.appender.R.Threshold=ERROR
  log4j.appender.X.File=/var/log/coralswitch/clierror.log
 log4j.appender.X.MaxFileSize=5kb
 log4j.appender.X.Threshold=ERROR
 
 log4j.appender.HTML.File=/var/log/coralswitch/application.html
 
 //Here we define the layout and pattern

 
 log4j.appender.R.layout=org.apache.log4j.PatternLayout
 log4j.appender.R.layout.ConversionPattern=%d - %c -%p - %m%n

log4j.appender.TTCC.layout=org.apache.log4j.TTCCLayout
log4j.appender.TTCC.layout.DateFormat=ISO8601

log4j.appender.HTML.layout=org.apache.log4j.HTMLLayout
log4j.appender.HTML.layout.Title=Application log
log4j.appender.HTML.layout.LocationInfo=true 

 log4j.appender.X.layout=org.apache.log4j.PatternLayout
 log4j.appender.X.layout.ConversionPattern=%d - %c -%p - %m%n
